Loading...
Searching...
No Matches
osmo_mtp_prim Struct Reference

`#include <mtp_sap.h>`

## Data Fields

struct osmo_prim_hdr | oph
union { |
struct osmo_mtp_transfer_param transfer |
struct osmo_mtp_pause_param pause |
struct osmo_mtp_resume_param resume |
struct osmo_mtp_status_param status |
} | u

## Field Documentation

## oph

struct osmo_prim_hdr osmo_mtp_prim::oph

Referenced by deliver_to_mtp_user(), m3ua_to_xfer_ind(), mtp_prim_to_m3ua(), mtp_user_prim_cb(), osmo_ss7_user_mtp_xfer_req(), ss7_mtp_to_user(), and sua2sccp_tx_m3ua().

## pause

struct osmo_mtp_pause_param osmo_mtp_prim::pause

## resume

struct osmo_mtp_resume_param osmo_mtp_prim::resume

## status

struct osmo_mtp_status_param osmo_mtp_prim::status

## transfer

struct osmo_mtp_transfer_param osmo_mtp_prim::transfer

Referenced by deliver_to_mtp_user(), m3ua_to_xfer_ind(), mtp_prim_to_m3ua(), mtp_user_prim_cb(), osmo_ss7_user_mtp_xfer_req(), ss7_mtp_to_user(), and sua2sccp_tx_m3ua().

## [union]

union { ... } osmo_mtp_prim::u

Referenced by deliver_to_mtp_user(), m3ua_to_xfer_ind(), mtp_prim_to_m3ua(), mtp_user_prim_cb(), osmo_ss7_user_mtp_xfer_req(), ss7_mtp_to_user(), and sua2sccp_tx_m3ua().

The documentation for this struct was generated from the following file:

- include/osmocom/sigtran/mtp_sap.h